Package org.eclipse.lemminx.settings

## Class XMLTelemetrySettings

- java.lang.Object
- - org.eclipse.lemminx.settings.XMLTelemetrySettings

    public class XMLTelemetrySettings
    extends Object

Settings for telemetry

Author:
  datho7561

### Constructor Summary

Constructors
`XMLTelemetrySettings()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isEnabled()` Returns true if telemetry is enabled and false otherwise
`void` `setEnabled​(boolean enabled)` Set if telemetry should be enabled

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLTelemetrySettings

    public XMLTelemetrySettings()

### Method Detail

#### isEnabled

    public boolean isEnabled()

Returns true if telemetry is enabled and false otherwise

Returns:
  true if telemetry is enabled and false otherwise

#### setEnabled

    public void setEnabled​(boolean enabled)

Set if telemetry should be enabled

Parameters:
  `enabled` - true if telemetry should be enabled, and false if telemetry should be disabled